import java.awt.BorderLayout;
import java.awt.Font;

import javax.swing.*;
import java.io.*;

public class MyJInternalFrame   extends  JInternalFrame{
	
	private JTextArea editor = new JTextArea();
	String filename = null;
	
	public MyJInternalFrame(String filename) {
		super(filename);
		setGUI();
		editor.setText(filename);
		editor.requestFocus();
		this.filename=filename;
		File file = new File(filename);
		if (file.exists()) {
			readText();
		}
		setVisible(true);
	}
	
	private void setGUI() {
	    this.setClosable(true);
	    this.setIconifiable(true);
	    this.setMaximizable(true);
	    this.setResizable(true);
	    JScrollPane spane = new JScrollPane(editor);
	    add(  spane,BorderLayout.CENTER);
	    editor.setFont(new Font("Arial", Font.BOLD, 26));
	}
	
	private void readText() {
	    FileInputStream fin;
	    InputStreamReader iin;
	    LineNumberReader lnr;
	    String alllines="";
	    try {
	    	fin = new FileInputStream(filename);
	    	iin = new InputStreamReader(fin);
	    	lnr = new LineNumberReader(iin);
	    	while  ( lnr.ready()  ) {
	            String line = lnr.readLine();
	            alllines+=line+"\n";
	        }  // while
	    	editor.setText(alllines);
	    }
	    catch (IOException e) {
	    	System.out.println("Fehler im Programm");
	    }
		
	}

}
