import java.awt.BorderLayout;
import java.awt.Font;

import javax.swing.*;
import java.io.*;

public class MyJInternalFrame1 extends JInternalFrame {

	private MyGrfJPanel canvas = new MyGrfJPanel();
	String filename = null;
	
	GrfLine line = new GrfLine();
	
	public MyJInternalFrame1(String filename) {
		super(filename);
		setGUI();
		this.filename=filename;
		File file = new File(filename);
		if (file.exists()) {
			readFile();
		}
		setVisible(true);
	}
	
	private void readFile() {
		try {
			FileInputStream fin = new FileInputStream(filename);
			DataInputStream din = new DataInputStream(fin);
			int typ = din.readInt();
			if (typ !=1) {
				System.out.println("Fehlerhafter Linientyp");
				fin.close();
				return;
			}
			line.x1 = din.readInt();
			line.y1 = din.readInt();
			line.x2 = din.readInt();
			line.y2 = din.readInt();
			line.color = din.readInt();
			line.linewidth = din.readInt();
			
			fin.close();
			canvas.setLine(line);
			System.out.println("Einlesen der Linie ok");
		}
		catch (IOException e) {
			System.out.println("Fehlerhaftes Einlesen einer Linie");
		}
	}

	private void setGUI() {
	    this.setClosable(true);
	    this.setIconifiable(true);
	    this.setMaximizable(true);
	    this.setResizable(true);
	    add(  canvas,BorderLayout.CENTER);
	}
	
}
